Subject: Re: OS/2 HPFS File System - Is this a Bug? + a note for the list maintainers

From: [email-masked] (Martin Str|mberg)
Date: Wed, 21 Aug 1996 14:59:08 +0200 (MET DST)

Hello.

First a little note if you have seen this message already:
I'm having problems getting the mail go futher than the network the machine
I'm on, so sorry if you see this for the nth time.

[email-masked] said:
> 
> I'm running OS/2 Warp with HPFS on several of my drives.
> 
> I noticed that Linux 1.1 fdisk reveals two different file system
> identifiers for these
> HPFS partitions:
> 
>   /dev/sda5  id 7  OS/2 HPFS
> 
>   /dev/hda2  id 17 Unknown
> 
> 
> The Unknown partition type (id 17) was created by OS/2 Warp fdisk during
> the installation process.  It is also a primary partition.
> 
> The HPFS partition type (id 7) was created by OS/2 Warp after
> installation.  Note that this is an extended partition.
> 
> Has anybody else observed the two different identifers for HPFS
> filesystems?  Is this a Bug?  Linux produces some error messages when
> mounting the id 17 filesystem but it everything seems to work ok.  I
> didn't observe any error messages when mounting the id 7 filesystem
> which also works fine.
> 
> OS/2 Warp doesn't complain at all.
> 
> 

I already sent a mail about this but it didn't reach the debian list to my 
knowledge, so here I go again. Sorry if somebody gets this twice.

Yes. I have this behaviour in my system as well, although in my case it's
a FAT partition. I have two primary ones on my first hard disk, so one is 
always hidden (for DOZ and OS/2).

When I check out the partion types with fdisk under Linux I see that the 
partition that is considered hidden has id 16 in contrast to the one that 
isn't hidden, id 6. Then if I make the hidden one unhidden (and the other 
one hidden) the ids have changed places.

How about that,

							MartinS

---

From: Jim Worthington <[email-masked]>
Date: Wed, 21 Aug 1996 12:41:59 -0400

Martin Str|mberg wrote:
> > identifiers for HPFS partitions:
> >
> >   /dev/sda5  id 7  OS/2 HPFS
> >
> >   /dev/hda2  id 17 Unknown
> >
> >

I think that you've hit the nail on the head!

I'm running 3 primary partitions (Win95, OS/2, OS/2 Boot Manager) and 2
extended partitions (Linux, Linux Swap).  I believe that OS/2 Boot
manager automatically makes the unselected primary partition hidden. 
The last invoked primary partition is left in the un-hidden state.

I just booted up OS/2 using Boot Manager to make the OS/2 partition
unhidden.  I then booted Linux also via OS/2 Boot Manager.  Fdisk
reported:

         /dev/hda1  id 16  Unknown   (previously reported as id 6)
         /dev/hda2  id  7  OS/2 HPFS

The OS/2 partition is now being reported correctly and the Win95 FAT
partition is being reported as Unknown.

Now, What is the solution to the problem?  Do we indeed have 2 new
partition types:

         id 16  Dos FAT   (hidden)
         id 17  OS/2 HPFS (hidden)

Or is it possible that Linux fdisk is mis-reading a partition table bit
that serves some other purpose than (id)?  OS/2 makes reference to
partitions that are <bootable> and <startable>.  How are these
attributes dealt with under Linux?

Jim